Package Details: amarok 2.9.71-2

Git Clone URL: https://aur.archlinux.org/amarok.git (read-only, click to copy)
Package Base: amarok
Description: The powerful music player for KDE
Upstream URL: http://amarok.kde.org/
Licenses: GPL2, FDL, LGPL2.1
Submitter: arojas
Maintainer: frealgagu
Last Packager: frealgagu
Votes: 41
Popularity: 0.020750
First Submitted: 2018-08-28 13:52 (UTC)
Last Updated: 2022-03-08 20:22 (UTC)

Pinned Comments

frealgagu commented on 2020-12-05 22:44 (UTC)

I maintain the latest built package at:

https://github.com/frealgagu/archlinux.amarok/releases/

Latest Comments

internetfox commented on 2022-06-24 01:03 (UTC)

However, once loaded it won't play any music files. Library scan went fine, but any file gets queued for play and then there is no output (and no progress indicating that amarok thinks something is playing either).

This could be caused by missing the proper codec packages for your audio files. This package does not list any codecs as dependencies, presumably because the Phonon API allows you to choose one of two backends (phonon-qt5-gstreamer or phonon-qt5-vlc), and the codecs are technically dependencies of the backend. The Arch Wiki article about KDE includes a section about Phonon which explains how this works.

Consult the Wiki's article about codecs to figure out which packages you will need to play your files. Be sure to check the section about backends near the bottom and follow the links that are relevant to the backend you chose when installing Phonon. (GStreamer was the default selection when last I checked.) You may need to restart Amarok after installing the codecs.

ktouet commented on 2022-06-12 21:57 (UTC) (edited on 2022-06-14 04:55 (UTC) by ktouet)

I had the same experience as internetfox and needed to set DBusActivatable=false in /usr/share/applications/org.kde.amarok.desktop to get it loading from the desktop icon. However, once loaded it won't play any music files. Library scan went fine, but any file gets queued for play and then there is no output (and no progress indicating that amarok thinks something is playing either).

internetfox commented on 2022-05-14 18:48 (UTC)

I have also experienced the The name org.kde.amarok was not provided by any .service files error. I was able to work around this error by changing DBusActivatable=true to DBusActivatable=false in the desktop file that I use to launch Amarok (/usr/share/applications/org.kde.amarok.desktop by default).

Deresiant commented on 2022-05-02 12:16 (UTC)

Anyone getting The name org.kde.amarok was not provided by any .service files when trying to launch amarok?

frealgagu commented on 2022-03-06 04:08 (UTC)

Thanks for letting me know. I'll apply the patch ASAP (maybe Monday).

MdN commented on 2022-03-05 20:16 (UTC)

There's a merge request upstream that makes the build work again (at least when applied as a patch on top of current Git master): https://invent.kde.org/multimedia/amarok/-/merge_requests/45

xantares commented on 2022-02-18 20:24 (UTC)

hi, this one fails to build against the new ffmpeg 5.0, could you use ffmpeg4.4 ?

https://archlinux.org/packages/extra/x86_64/ffmpeg4.4/

ily53 commented on 2021-11-23 05:24 (UTC)

Not starting under Gnome, Starting over Terminal brings

Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.

Start it over Terminal with QT_QPA_PLATFORM=wayland amarok brings the same error.

I found this in the Arch Forum: https://bbs.archlinux.org/viewtopic.php?id=268180

frealgagu commented on 2021-07-09 23:52 (UTC)

@JohnRobson It's not happening to me, alternatively you can download the already built package from here:

https://github.com/frealgagu/archlinux.amarok/releases/

JohnRobson commented on 2021-06-23 03:04 (UTC)

==> Validating source files with sha256sums... amarok-2.9.71.tar.xz ... Passed ==> Removing existing $srcdir/ directory... ==> Extracting sources... ==> Starting prepare()... /tmp/yay/amarok/PKGBUILD: line 24: cd: /tmp/yay/amarok/src/amarok-2.9.71: No such file or directory ==> ERROR: A failure occurred in prepare(). Aborting... error making: amarok

Bink commented on 2021-04-26 01:49 (UTC)

Has installed, but fails to start. May be an issue opening the MariaDB.


QtWebEngine::initialize() called with QCoreApplication object already created and should be call before. This is depreciated and may fail in the future.
Attribute Qt::AA_ShareOpenGLContexts must be set before QCoreApplication is created.
**********************************************************************************************
** AMAROK WAS STARTED IN NORMAL MODE. IF YOU WANT TO SEE DEBUGGING INFORMATION, PLEASE USE: **
** amarok --debug                                                                           **
**********************************************************************************************
Got ERROR: "Can't open and lock privilege tables: Table 'mysql.servers' doesn't exist" errno: 2000
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = amarok path = /usr/bin pid = 368359
KCrash: Arguments: /usr/bin/amarok 
KCrash: Attempting to start /usr/lib/drkonqi
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
Invalid write to eventfd: Bad file descriptor
Code should not be reached at ../pulseaudio/src/pulsecore/fdsem.c:199, function pa_fdsem_post(). Aborting.
Unable to start Dr. Konqi
Re-raising signal for core dump handling.
Aborted (core dumped)

JohnRobson commented on 2021-03-30 15:03 (UTC)

==> Retrieving sources...
-> Downloading amarok-2.9.71.tar.xz...
% Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
Dload  Upload   Total   Spent    Left  Speed
100  3054    0  3054    0     0   9310      0 --:--:-- --:--:-- --:--:--  9282
==> Validating source files with sha256sums...
amarok-2.9.71.tar.xz ... FAILED
==> ERROR: One or more files did not pass the validity check!
error downloading sources: amarok

frealgagu commented on 2020-12-05 22:44 (UTC)

I maintain the latest built package at:

https://github.com/frealgagu/archlinux.amarok/releases/

fishnet37222 commented on 2020-09-11 09:49 (UTC)

I'm getting the following error when trying to install this. I have MySQL installed, so I don't know why it's happening.

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
MYSQL_EMBEDDED_LIBRARIES (ADVANCED)
    linked by target "amarok_collection-mysqlcollection" in directory /home/dave/AUR/amarok/src/amarok-df34fd789a8cd14bea5482c88c85216b2ef791c9/src/core-impl/collections/db/sql/mysqlcollection
    linked by target "amarok_storage-mysqlestorage" in directory /home/dave/AUR/amarok/src/amarok-df34fd789a8cd14bea5482c88c85216b2ef791c9/src/core-impl/storage/sql/mysqlestorage

murdegern commented on 2020-05-13 19:13 (UTC) (edited on 2020-05-13 19:14 (UTC) by murdegern)

I'm trying to build this with yay on archlinux 32, and it fails with this message:

CMake Error at /usr/share/cmake-3.17/Modules/FindPackageHandleStandardArgs.cmake:164 (message):
  Could NOT find KF5 (missing: NewStuff) (found suitable version "5.68.0",
  minimum required is "5.41.0")
Call Stack (most recent call first):
  /usr/share/cmake-3.17/Modules/FindPackageHandleStandardArgs.cmake:445 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
  CMakeLists.txt:39 (find_package)

I have knewstuff 5.69.0-1.0 installed (not 5.68 like it says) - do you have any pointers?

Thanks!

frealgagu commented on 2020-03-06 16:52 (UTC)

@coxe87b it happens because taglib-extras is a dependency on AUR that can't be installed automatically by makepkg. If you use an AUR helper it do the work for you, otherwise you need to install taglib-extras manually. I recommend you do that installing it with --asdeps in order to use a weak reference to the new package in case you want to uninstall amarok in the future.

coxe87b commented on 2019-12-25 12:25 (UTC)

It would not make the package for me by default using makepkg -si as it threw an error saying that it was unable to solve dependencies. I had to manually install dependencies; libgpod, liblastfm-qt5, mariadb I then had to manually get the dependency "taglib-extras 1.0.1-7" through the AUR and make that package first. Only then was I able to proceed with the makepkg of amarok.

Henry78 commented on 2019-11-19 15:58 (UTC) (edited on 2019-11-19 15:59 (UTC) by Henry78)

This package isn't building sucessfully for weeks. Did I miss something?

Latest problem:

CMake Error at /usr/lib64/cmake/Qt5/Qt5Config.cmake:28 (find_package):
  Could not find a package configuration file provided by "Qt5Script" with
  any of the following names:

    Qt5ScriptConfig.cmake
    qt5script-config.cmake

  Add the installation prefix of "Qt5Script" to CMAKE_PREFIX_PATH or set
  "Qt5Script_DIR" to a directory containing one of the above files.  If
  "Qt5Script" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:31 (find_package)

The latest successful build (2019-10-01, 2.9.0.r376.457fbda25a-1) won't launch:

amarok: error while loading shared libraries: libQt5Script.so.5: cannot open shared object file: No such file or directory

floppy5.25 commented on 2019-09-16 20:46 (UTC) (edited on 2019-09-17 17:31 (UTC) by floppy5.25)

Thank you for updating the package. Few issues:

  • Lyrics are not working, On a debug console I get (for example):

amarok: BEGIN: void LyricsManager::lyricsLoaded(const QUrl&, const QByteArray&, const NetworkAccessManagerProxy::Error&) amarok: [WARNING] [LyricsManager] No track belongs to this url: "https://lyrics.fandom.com/api.php?action=query&prop=revisions&rvprop=content&format=xml&titles=Coldplay:A Sky Full of Stars" amarok: END__: void LyricsManager::lyricsLoaded(const QUrl&, const QByteArray&, const NetworkAccessManagerProxy::Error&) [Took: 0s]

  • Activating the Wikipedia applet will shoot CPU use through the roof.

As per another comment the above will be nice to have working but both issues seem to be upstream.

snack commented on 2019-09-15 13:38 (UTC)

@Tyomix I don't know if the functionality you describe is related to scripting. If you tell me which scripts you are using I can try to fix them, but being not an expert I can't promise anything.

Tyomix commented on 2019-09-15 12:09 (UTC)

@snack, OMG so complicated.. tried to create such file but still not works. BTW I want Amarok to just show lyrics and wikipedia articles of currently playing song like it works in kde4. Is it connected with scripts functionality?

snack commented on 2019-09-15 10:03 (UTC)

@Tyomix sorry, I forgot to say that scripts needs to be ported. If you start amarok from command line with --debug option you will probably see some error message like:

[ERROR__] [ScriptManager] script.json for "/home/mori/.local/share/amarok/scripts/BurnPlaylist/main.js" is missing!

You need to produce a script.json file like this:

{
"KPlugin": {
"Category": "Scriptable Service",
"Id": "BurnPlayList",
"Version": "1.0.1",
"Dependencies": ["Amarok2.0"],
"EnabledByDefault": "true"
}
}

in order for the script to be loaded. More porting is likely necessary, depending on the content of the script itself. I am not an expert but I can try to provide some assistance if needed. Please move this discussion to the amarok-scripting page.

Tyomix commented on 2019-09-13 23:10 (UTC) (edited on 2019-09-13 23:11 (UTC) by Tyomix)

@snack I've installed your package "amarok-scripting" instead of this one, but still get empty scripts window. Tried to install some scripts via KDE store ("Manage scripts") and "Local script". How to fix? https://i.imgur.com/yfUrmhR.png

Rhinoceros commented on 2019-09-08 04:35 (UTC)

Thanks @snack. I'll check it out and report on that page. Cheers.

snack commented on 2019-09-03 10:13 (UTC)

I've been able to restore the scripting functionality, at least partially (i.e. my script now works). I have uploaded a new AUR package amarok-scripting, try it if you need scripting.

snack commented on 2019-08-30 16:08 (UTC)

For those complaining about scripts: they do not work because the QtScript support has been removed, probably due to the fact that QtScript is deprecated in Qt5 and will probably be removed in Qt6. I've been able to revert the modification and the script engine works again (since QtScript is still available in Qt5 for backwards compatibility). However the Qt bindings previously provided by qtscriptgenerator are no longer available, so all the scripts making use of Qt classes will not work.

Rhinoceros commented on 2019-05-08 00:56 (UTC) (edited on 2019-05-08 06:17 (UTC) by Rhinoceros)

FWIW I also can't seem to get scripts working, nor Last.fm scrobbling. I tried to install some lyrics scripts via the "Manage Scripts" button. These installed, but didn't show up in the main scripts list.

EtiennePerot commented on 2019-05-06 20:49 (UTC)

Last.fm scrobbling doesn't appear to be working. I have liblastfm-qt5 installed but there is simply no more setting in Amarok's settings about this. Is the library not being detected as installed?

PRafael commented on 2019-05-01 01:08 (UTC)

Just to ask...scripts...they are working? I can't see SOMA FM or COOL STREAMS in the internet list, in fact I only have GPODDER, MAGNATUNE and PODCAST DIRECTORY. Can you confirm this?

Txs

Paulo

ffredson commented on 2019-04-27 16:43 (UTC)

I have this very annoying bug that I cannot use the "Organize Files" feature. When I select to move the files, the new window that opens is very small. I can resize the window, however, the content stays very small which makes it unusable.

I have the problem since I switched to the AUR version, not since the last update. Does anybody else have the problem, and much more important, does somebody have a workaround for it? I tried to use TAB to manipulate the required fields, but didn't succeed.

Here you can see the resized window: https://i.imgur.com/yyh6VvI.png Here you can see how it looks when I open the Options: https://i.imgur.com/T5ce0q8.png

PRafael commented on 2019-04-26 15:44 (UTC)

Thank you for your time. Great job.

regards Paulo

pcarvalho commented on 2019-02-14 18:16 (UTC)

Also confirm that latest amarok fixes the issue that @nicoadamo mentioned.

thanks for your dedication!

frealgagu commented on 2019-02-10 22:57 (UTC)

base-devel group is assumed to be installed before try to install any AUR package.

https://wiki.archlinux.org/index.php/Creating_packages#Prerequisite_software

ne0 commented on 2019-02-10 22:32 (UTC)

Hi maintainer,

please add core/pkgconf as dependency, the build fails without it:

==> Starting build()...
CMake Error at /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)
Call Stack (most recent call first):
  /usr/share/cmake-3.13/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/cmake-3.13/Modules/FindPkgConfig.cmake:39 (find_package_handle_standard_args)
  CMakeLists.txt:14 (find_package)


-- Configuring incomplete, errors occurred!

zebulon commented on 2019-01-29 19:57 (UTC)

@frealgagu: works for me, many thanks.

nicoadamo commented on 2019-01-24 19:07 (UTC) (edited on 2019-01-24 22:22 (UTC) by nicoadamo)

I'm suffering a similar (but not the same) message: "The Amarok database reported the following errors: The configured database plugin could not be loaded. In most cases you will need to resolve these errors before Amarok will run properly." It also came up after an overall upgrade, including the mariadb package as mentioned by zebulon. EDIT: I've just built amarok-2.9.0.r351.0362c32b7a-1-x86_64 with mariadb 10.3.12-2 previously installed and Amarok launched alright, without any errors. I also corrected before compiling the file /etc/mysql/my.cnf, which should be based on a much simplified /etc/mysql/my.cnf.pacnew (I don't know from which version it got shorter).

zebulon commented on 2019-01-19 09:17 (UTC)

Hi, since 2019-01-18 amarok does not start, complaining with:

The Amarok database reported the following errors: MySQLe query failed! (0) on Error setting option to use embedded connection MySQLe query failed! (2002) Can't connect to local MySQL server through socket '/run/mysqld/mysqld.sock' (2) on call to mysql_real_connect In most cases you will need to resolve these errors before Amarok will run properly.

I am wondering if this is caused by the mariadb upgrade yesterday. Rebuilding amarok does not fix the issue. Any idea?

billypilgrim commented on 2019-01-18 05:36 (UTC)

Hi maintainer,

Would you mind not bumping the package version for this when there's a new git commit? For one thing this isn't a -git package so it should just be the latest stable version and, for another, you don't need to bump the package version for -git packages either (users can just rebuild when they want a new version).

frealgagu commented on 2018-11-09 17:56 (UTC) (edited on 2018-11-09 17:56 (UTC) by frealgagu)

I've included a new package libssh-gnutls which is the same package "libssh" but compiled with gnutls (libgcrypt). This a new dependency to amarok so amarok shouldn't crash at start.

https://bbs.archlinux.org/viewtopic.php?pid=1810619#p1810619

nicoadamo commented on 2018-11-05 00:58 (UTC)

@frealgagu: Thanks for clarifying so quickly!

frealgagu commented on 2018-11-04 21:54 (UTC)

@nicoadamo there is no a stable 2.9.70 yet, so I've been including the last commits in master branch. Version 2.9.0 is the stable one but it only works with qt4 which is no longer supported in Arch. Once the version 2.9.70 is released i'll keep it as the version of this package.

nicoadamo commented on 2018-11-04 21:45 (UTC)

Sorry, but are version names fine inside the package? I compiled today theoretically "amarok 2.9.0.r258.f632617d29-1", but in the Help menu, version line I get the following: Amarok Version 2.9.70 Using KDE Frameworks 5.51.0

Which matches frealgagu's comment below "Looks like a new version of amarok 2.9.70 will be released soon."

I got confused.

Regards,

Nicolás Adamo

Rhinoceros commented on 2018-10-10 01:27 (UTC)

Amarok won't launch, and is crashing with MySQLe something failed! on library initialization failed, return code 1.

To fix this, you need to rebuild libssh with gnutls (libgcrypt) [a]. Have a look at the linked thread, but essentially, just patch the libssh PKGBUILD with the following and install.

--- PKGBUILD    (revision 336084)
+++ PKGBUILD    (working copy)
@@ -12,7 +12,7 @@
 url="http://www.libssh.org/"
 license=(LGPL)
 arch=(x86_64)
-depends=(zlib openssl)
+depends=(libgcrypt zlib)
 makedepends=(cmake cmocka doxygen python)
 source=(https://www.libssh.org/files/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.asc})
 sha256sums=('302f31f606f2368cd3ce77d7a69f7464c18eae176e73e59102e0524401bd29d0'
@@ -33,6 +33,7 @@
   cmake ../$pkgname-$pkgver \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DWITH_GSSAPI=OFF \
+    -DWITH_GCRYPT=ON \
     -DUNIT_TESTING=ON
   make
   make docs
@@ -40,7 +41,7 @@

 check() {
   cd build
-  make test
+  make test || true # One test failure with libgcrypt
 }

 package_libssh() {

[a] https://bbs.archlinux.org/viewtopic.php?pid=1810619#p1810619

frealgagu commented on 2018-09-28 16:37 (UTC)

Looks like a new version of amarok 2.9.70 will be released soon.

Behem0th commented on 2018-09-22 16:32 (UTC)

Downgrade libssh to 0.8.2 version helps me.

kifuna commented on 2018-09-22 14:56 (UTC)

This error is most likely related to this: https://bugs.archlinux.org/task/59719. I tried to compile libssh with DWITH_GCRYPT=ON (as was the case for version 0.8.2) and amarok starts normally again. Is there maybe another option to circumvent this issue?

Behem0th commented on 2018-09-22 12:32 (UTC) (edited on 2018-09-22 13:00 (UTC) by Behem0th)

After arch update 22.09.18 old version amarok show error on start.

Message: "The Amarok database reported the following errors: MySQLe something failed! on library initialization failed, return code 1 In most cases you will need to resolve these errors before Amarok will run properly."

I build this version but still see error.

List updated pkg: https://pastebin.com/0RRQ94we

holunder commented on 2018-09-22 12:32 (UTC)

Am I the only one getting "MySQLe something failed! on library initialization failed, return code 1" since today’s updates?

Rhinoceros commented on 2018-09-09 03:59 (UTC)

Yeah fair enough. That all makes sense. Thanks for the update!

frealgagu commented on 2018-09-09 03:50 (UTC) (edited on 2018-09-09 03:58 (UTC) by frealgagu)

Yes, I was divided also, however to build the stable version you need the qt4 dependencies which have conflicts which their qt5 counterpart, so if you want to build the build the amarok 2.9 (qt4) you will need to downgrade the qt5 packages to qt4 to work. I guess that once amarok release the new version it will be included again in community or extra repository, but until the dependencies are in qt4 is not viable.

If you found a way to build it without conflicts with the last releases of qt5 or installing qt4 without issues, please let me know and I'll fix the package.

With the current version of qt5 you are not able to install amarok 2.9.0 or earlier, and if you have installed amarok surely is the version 2.9.0.git20180816 which already includes the support to qt5 but is still in pre-alpha.

https://community.kde.org/Amarok/Development/KF5port https://community.kde.org/Amarok/Development/KF5port/Status

For now, I prefer to use the development version which has already ported a lot to KF5 instead of downgrade a lot of libraries.

Rhinoceros commented on 2018-09-09 03:38 (UTC)

Hey frealgagu, I see that you updated the PKGBUILD to the next, pre-alpha version of amarok. I had some issues when the official repos updated it to this version too [a]. Basically, I'm not sure that this is the best idea, because several things are broken in this version. It's not the stable version, so perhaps this should be left for amarok-git. However, I get that the stable version is difficult to build because of it needs qca-qt4 to make, so I'm partially divided. Is there an easy way to build the current stable version instead?

[a] https://bbs.archlinux.org/viewtopic.php?pid=1804753#p1804753

frealgagu commented on 2018-09-02 15:28 (UTC)

A lot of dependencies (qt4) were removed from official repositories and amarok need them to compile successfully. I'm currently without access to a computer, so I hope returns in a week to fix the package.

The last git commits of the project uses qt5 so I guess amarok will release one soon.

Rhinoceros commented on 2018-09-02 11:27 (UTC)

Package amarok is in official repo

I don't think so? It got removed from the official repos.

This from AUR cannot be build

Agreed, but I don't think it should be renamed on that basis.

pavbaranov commented on 2018-09-02 11:23 (UTC)

This package should be rename to amarok-old, amarok2 or something like this. Package amarok is in official repo and in AUR. This from AUR cannot be build because of missing dependency in repos and in AUR.

Rhinoceros commented on 2018-08-28 23:53 (UTC) (edited on 2018-08-29 01:53 (UTC) by Rhinoceros)

Thanks for picking this up @frealgagu. You probably already know, but this package depends on qtscriptgenerator, which is missing in the repos/AUR, but also kdebase-runtime > kdelibs > polkit-qt4, which is also missing.

==EDIT== Eep, I just realised this also needs qca-qt4 as makedepends. This conflicts with qca, which is required by a whole bunch of kde things.